com.google.gwt.dom.builder.client

## Class DomBuilderFactory

- java.lang.Object
- - com.google.gwt.dom.builder.shared.ElementBuilderFactory
  - - com.google.gwt.dom.builder.client.DomBuilderFactory

-     public class DomBuilderFactory
      extends ElementBuilderFactory

  Factory for creating element builders that construct elements using DOM manipulation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DomBuilderFactory()` Created from static factory method.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DomAnchorBuilder` | `createAnchorBuilder()`
    `DomAreaBuilder` | `createAreaBuilder()`
    `DomAudioBuilder` | `createAudioBuilder()`
    `DomBaseBuilder` | `createBaseBuilder()`
    `DomQuoteBuilder` | `createBlockQuoteBuilder()`
    `DomBodyBuilder` | `createBodyBuilder()`
    `DomBRBuilder` | `createBRBuilder()`
    `InputBuilder` | `createButtonInputBuilder()`
    `DomCanvasBuilder` | `createCanvasBuilder()`
    `InputBuilder` | `createCheckboxInputBuilder()`
    `DomTableColBuilder` | `createColBuilder()`
    `TableColBuilder` | `createColGroupBuilder()`
    `DomDivBuilder` | `createDivBuilder()`
    `DomDListBuilder` | `createDListBuilder()`
    `DomFieldSetBuilder` | `createFieldSetBuilder()`
    `InputBuilder` | `createFileInputBuilder()`
    `DomFormBuilder` | `createFormBuilder()`
    `DomFrameBuilder` | `createFrameBuilder()`
    `DomFrameSetBuilder` | `createFrameSetBuilder()`
    `DomHeadingBuilder` | `createH1Builder()`
    `DomHeadingBuilder` | `createH2Builder()`
    `DomHeadingBuilder` | `createH3Builder()`
    `DomHeadingBuilder` | `createH4Builder()`
    `DomHeadingBuilder` | `createH5Builder()`
    `DomHeadingBuilder` | `createH6Builder()`
    `DomHeadBuilder` | `createHeadBuilder()`
    `InputBuilder` | `createHiddenInputBuilder()`
    `DomHRBuilder` | `createHRBuilder()`
    `DomIFrameBuilder` | `createIFrameBuilder()`
    `DomImageBuilder` | `createImageBuilder()`
    `InputBuilder` | `createImageInputBuilder()`
    `DomLabelBuilder` | `createLabelBuilder()`
    `DomLegendBuilder` | `createLegendBuilder()`
    `DomLIBuilder` | `createLIBuilder()`
    `DomLinkBuilder` | `createLinkBuilder()`
    `DomMapBuilder` | `createMapBuilder()`
    `DomMetaBuilder` | `createMetaBuilder()`
    `DomOListBuilder` | `createOListBuilder()`
    `DomOptGroupBuilder` | `createOptGroupBuilder()`
    `DomOptionBuilder` | `createOptionBuilder()`
    `DomParagraphBuilder` | `createParagraphBuilder()`
    `DomParamBuilder` | `createParamBuilder()`
    `InputBuilder` | `createPasswordInputBuilder()`
    `DomPreBuilder` | `createPreBuilder()`
    `DomButtonBuilder` | `createPushButtonBuilder()`
    `DomQuoteBuilder` | `createQuoteBuilder()`
    `InputBuilder` | `createRadioInputBuilder(java.lang.String name)` Create a builder for an <input type='radio'> element.
    `DomButtonBuilder` | `createResetButtonBuilder()`
    `InputBuilder` | `createResetInputBuilder()`
    `DomScriptBuilder` | `createScriptBuilder()`
    `DomSelectBuilder` | `createSelectBuilder()`
    `DomSourceBuilder` | `createSourceBuilder()`
    `DomSpanBuilder` | `createSpanBuilder()`
    `DomStyleBuilder` | `createStyleBuilder()`
    `DomButtonBuilder` | `createSubmitButtonBuilder()`
    `InputBuilder` | `createSubmitInputBuilder()`
    `DomTableBuilder` | `createTableBuilder()`
    `DomTableCaptionBuilder` | `createTableCaptionBuilder()`
    `DomTableSectionBuilder` | `createTBodyBuilder()`
    `DomTableCellBuilder` | `createTDBuilder()`
    `DomTextAreaBuilder` | `createTextAreaBuilder()`
    `InputBuilder` | `createTextInputBuilder()`
    `DomTableSectionBuilder` | `createTFootBuilder()`
    `DomTableCellBuilder` | `createTHBuilder()`
    `DomTableSectionBuilder` | `createTHeadBuilder()`
    `DomTableRowBuilder` | `createTRBuilder()`
    `DomUListBuilder` | `createUListBuilder()`
    `DomVideoBuilder` | `createVideoBuilder()`
    `static DomBuilderFactory` | `get()` Get the instance of the `DomBuilderFactory`.
    `ElementBuilder` | `trustedCreate(java.lang.String tagName)` Create an `ElementBuilder` for an arbitrary tag name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DomBuilderFactory

          public DomBuilderFactory()

      Created from static factory method.

  - ### Method Detail

    - #### get

          public static DomBuilderFactory get()

      Get the instance of the `DomBuilderFactory`.

      Use `ElementBuilderFactory.get()` to fetch a factory optimized for the browser client. However, you can use this factory directly if you want to force the builders to build elements use DOM manipulation.

      Returns:
        the `ElementBuilderFactory`

    - #### createAnchorBuilder

          public DomAnchorBuilder createAnchorBuilder()

      Specified by:
        `createAnchorBuilder` in class `ElementBuilderFactory`

    - #### createAreaBuilder

          public DomAreaBuilder createAreaBuilder()

      Specified by:
        `createAreaBuilder` in class `ElementBuilderFactory`

    - #### createAudioBuilder

          public DomAudioBuilder createAudioBuilder()

      Specified by:
        `createAudioBuilder` in class `ElementBuilderFactory`

    - #### createBaseBuilder

          public DomBaseBuilder createBaseBuilder()

      Specified by:
        `createBaseBuilder` in class `ElementBuilderFactory`

    - #### createBlockQuoteBuilder

          public DomQuoteBuilder createBlockQuoteBuilder()

      Specified by:
        `createBlockQuoteBuilder` in class `ElementBuilderFactory`

    - #### createBodyBuilder

          public DomBodyBuilder createBodyBuilder()

      Specified by:
        `createBodyBuilder` in class `ElementBuilderFactory`

    - #### createBRBuilder

          public DomBRBuilder createBRBuilder()

      Specified by:
        `createBRBuilder` in class `ElementBuilderFactory`

    - #### createButtonInputBuilder

          public InputBuilder createButtonInputBuilder()

      Specified by:
        `createButtonInputBuilder` in class `ElementBuilderFactory`

    - #### createCanvasBuilder

          public DomCanvasBuilder createCanvasBuilder()

      Specified by:
        `createCanvasBuilder` in class `ElementBuilderFactory`

    - #### createCheckboxInputBuilder

          public InputBuilder createCheckboxInputBuilder()

      Specified by:
        `createCheckboxInputBuilder` in class `ElementBuilderFactory`

    - #### createColBuilder

          public DomTableColBuilder createColBuilder()

      Specified by:
        `createColBuilder` in class `ElementBuilderFactory`

    - #### createColGroupBuilder

          public TableColBuilder createColGroupBuilder()

      Specified by:
        `createColGroupBuilder` in class `ElementBuilderFactory`

    - #### createDivBuilder

          public DomDivBuilder createDivBuilder()

      Specified by:
        `createDivBuilder` in class `ElementBuilderFactory`

    - #### createDListBuilder

          public DomDListBuilder createDListBuilder()

      Specified by:
        `createDListBuilder` in class `ElementBuilderFactory`

    - #### createFieldSetBuilder

          public DomFieldSetBuilder createFieldSetBuilder()

      Specified by:
        `createFieldSetBuilder` in class `ElementBuilderFactory`

    - #### createFileInputBuilder

          public InputBuilder createFileInputBuilder()

      Specified by:
        `createFileInputBuilder` in class `ElementBuilderFactory`

    - #### createFormBuilder

          public DomFormBuilder createFormBuilder()

      Specified by:
        `createFormBuilder` in class `ElementBuilderFactory`

    - #### createFrameBuilder

          public DomFrameBuilder createFrameBuilder()

      Specified by:
        `createFrameBuilder` in class `ElementBuilderFactory`

    - #### createFrameSetBuilder

          public DomFrameSetBuilder createFrameSetBuilder()

      Specified by:
        `createFrameSetBuilder` in class `ElementBuilderFactory`

    - #### createH1Builder

          public DomHeadingBuilder createH1Builder()

      Specified by:
        `createH1Builder` in class `ElementBuilderFactory`

    - #### createH2Builder

          public DomHeadingBuilder createH2Builder()

      Specified by:
        `createH2Builder` in class `ElementBuilderFactory`

    - #### createH3Builder

          public DomHeadingBuilder createH3Builder()

      Specified by:
        `createH3Builder` in class `ElementBuilderFactory`

    - #### createH4Builder

          public DomHeadingBuilder createH4Builder()

      Specified by:
        `createH4Builder` in class `ElementBuilderFactory`

    - #### createH5Builder

          public DomHeadingBuilder createH5Builder()

      Specified by:
        `createH5Builder` in class `ElementBuilderFactory`

    - #### createH6Builder

          public DomHeadingBuilder createH6Builder()

      Specified by:
        `createH6Builder` in class `ElementBuilderFactory`

    - #### createHeadBuilder

          public DomHeadBuilder createHeadBuilder()

      Specified by:
        `createHeadBuilder` in class `ElementBuilderFactory`

    - #### createHiddenInputBuilder

          public InputBuilder createHiddenInputBuilder()

      Specified by:
        `createHiddenInputBuilder` in class `ElementBuilderFactory`

    - #### createHRBuilder

          public DomHRBuilder createHRBuilder()

      Specified by:
        `createHRBuilder` in class `ElementBuilderFactory`

    - #### createIFrameBuilder

          public DomIFrameBuilder createIFrameBuilder()

      Specified by:
        `createIFrameBuilder` in class `ElementBuilderFactory`

    - #### createImageBuilder

          public DomImageBuilder createImageBuilder()

      Specified by:
        `createImageBuilder` in class `ElementBuilderFactory`

    - #### createImageInputBuilder

          public InputBuilder createImageInputBuilder()

      Specified by:
        `createImageInputBuilder` in class `ElementBuilderFactory`

    - #### createLabelBuilder

          public DomLabelBuilder createLabelBuilder()

      Specified by:
        `createLabelBuilder` in class `ElementBuilderFactory`

    - #### createLegendBuilder

          public DomLegendBuilder createLegendBuilder()

      Specified by:
        `createLegendBuilder` in class `ElementBuilderFactory`

    - #### createLIBuilder

          public DomLIBuilder createLIBuilder()

      Specified by:
        `createLIBuilder` in class `ElementBuilderFactory`

    - #### createLinkBuilder

          public DomLinkBuilder createLinkBuilder()

      Specified by:
        `createLinkBuilder` in class `ElementBuilderFactory`

    - #### createMapBuilder

          public DomMapBuilder createMapBuilder()

      Specified by:
        `createMapBuilder` in class `ElementBuilderFactory`

    - #### createMetaBuilder

          public DomMetaBuilder createMetaBuilder()

      Specified by:
        `createMetaBuilder` in class `ElementBuilderFactory`

    - #### createOListBuilder

          public DomOListBuilder createOListBuilder()

      Specified by:
        `createOListBuilder` in class `ElementBuilderFactory`

    - #### createOptGroupBuilder

          public DomOptGroupBuilder createOptGroupBuilder()

      Specified by:
        `createOptGroupBuilder` in class `ElementBuilderFactory`

    - #### createOptionBuilder

          public DomOptionBuilder createOptionBuilder()

      Specified by:
        `createOptionBuilder` in class `ElementBuilderFactory`

    - #### createParagraphBuilder

          public DomParagraphBuilder createParagraphBuilder()

      Specified by:
        `createParagraphBuilder` in class `ElementBuilderFactory`

    - #### createParamBuilder

          public DomParamBuilder createParamBuilder()

      Specified by:
        `createParamBuilder` in class `ElementBuilderFactory`

    - #### createPasswordInputBuilder

          public InputBuilder createPasswordInputBuilder()

      Specified by:
        `createPasswordInputBuilder` in class `ElementBuilderFactory`

    - #### createPreBuilder

          public DomPreBuilder createPreBuilder()

      Specified by:
        `createPreBuilder` in class `ElementBuilderFactory`

    - #### createPushButtonBuilder

          public DomButtonBuilder createPushButtonBuilder()

      Specified by:
        `createPushButtonBuilder` in class `ElementBuilderFactory`

    - #### createQuoteBuilder

          public DomQuoteBuilder createQuoteBuilder()

      Specified by:
        `createQuoteBuilder` in class `ElementBuilderFactory`

    - #### createRadioInputBuilder

          public InputBuilder createRadioInputBuilder(java.lang.String name)

      Description copied from class: `ElementBuilderFactory`
      Create a builder for an <input type='radio'> element.
      Specified by:
        `createRadioInputBuilder` in class `ElementBuilderFactory`
      Parameters:
        `name` - name the name of the radio input (used for grouping)
      Returns:
        the builder for the new element

    - #### createResetButtonBuilder

          public DomButtonBuilder createResetButtonBuilder()

      Specified by:
        `createResetButtonBuilder` in class `ElementBuilderFactory`

    - #### createResetInputBuilder

          public InputBuilder createResetInputBuilder()

      Specified by:
        `createResetInputBuilder` in class `ElementBuilderFactory`

    - #### createScriptBuilder

          public DomScriptBuilder createScriptBuilder()

      Specified by:
        `createScriptBuilder` in class `ElementBuilderFactory`

    - #### createSelectBuilder

          public DomSelectBuilder createSelectBuilder()

      Specified by:
        `createSelectBuilder` in class `ElementBuilderFactory`

    - #### createSourceBuilder

          public DomSourceBuilder createSourceBuilder()

      Specified by:
        `createSourceBuilder` in class `ElementBuilderFactory`

    - #### createSpanBuilder

          public DomSpanBuilder createSpanBuilder()

      Specified by:
        `createSpanBuilder` in class `ElementBuilderFactory`

    - #### createStyleBuilder

          public DomStyleBuilder createStyleBuilder()

      Specified by:
        `createStyleBuilder` in class `ElementBuilderFactory`

    - #### createSubmitButtonBuilder

          public DomButtonBuilder createSubmitButtonBuilder()

      Specified by:
        `createSubmitButtonBuilder` in class `ElementBuilderFactory`

    - #### createSubmitInputBuilder

          public InputBuilder createSubmitInputBuilder()

      Specified by:
        `createSubmitInputBuilder` in class `ElementBuilderFactory`

    - #### createTableBuilder

          public DomTableBuilder createTableBuilder()

      Specified by:
        `createTableBuilder` in class `ElementBuilderFactory`

    - #### createTableCaptionBuilder

          public DomTableCaptionBuilder createTableCaptionBuilder()

      Specified by:
        `createTableCaptionBuilder` in class `ElementBuilderFactory`

    - #### createTBodyBuilder

          public DomTableSectionBuilder createTBodyBuilder()

      Specified by:
        `createTBodyBuilder` in class `ElementBuilderFactory`

    - #### createTDBuilder

          public DomTableCellBuilder createTDBuilder()

      Specified by:
        `createTDBuilder` in class `ElementBuilderFactory`

    - #### createTextAreaBuilder

          public DomTextAreaBuilder createTextAreaBuilder()

      Specified by:
        `createTextAreaBuilder` in class `ElementBuilderFactory`

    - #### createTextInputBuilder

          public InputBuilder createTextInputBuilder()

      Specified by:
        `createTextInputBuilder` in class `ElementBuilderFactory`

    - #### createTFootBuilder

          public DomTableSectionBuilder createTFootBuilder()

      Specified by:
        `createTFootBuilder` in class `ElementBuilderFactory`

    - #### createTHBuilder

          public DomTableCellBuilder createTHBuilder()

      Specified by:
        `createTHBuilder` in class `ElementBuilderFactory`

    - #### createTHeadBuilder

          public DomTableSectionBuilder createTHeadBuilder()

      Specified by:
        `createTHeadBuilder` in class `ElementBuilderFactory`

    - #### createTRBuilder

          public DomTableRowBuilder createTRBuilder()

      Specified by:
        `createTRBuilder` in class `ElementBuilderFactory`

    - #### createUListBuilder

          public DomUListBuilder createUListBuilder()

      Specified by:
        `createUListBuilder` in class `ElementBuilderFactory`

    - #### createVideoBuilder

          public DomVideoBuilder createVideoBuilder()

      Specified by:
        `createVideoBuilder` in class `ElementBuilderFactory`

    - #### trustedCreate

          public ElementBuilder trustedCreate(java.lang.String tagName)

      Description copied from class: `ElementBuilderFactory`
      Create an `ElementBuilder` for an arbitrary tag name. The tag name will will not be checked or escaped. The calling code should be carefully reviewed to ensure that the provided tag name will not cause a security issue if including in an HTML document. In general, this means limiting the code to HTML tagName constants supported by the HTML specification.
      Specified by:
        `trustedCreate` in class `ElementBuilderFactory`
      Parameters:
        `tagName` - the tag name of the new element
      Returns:
        an `ElementBuilder` used to build the element